#!/bin/sh -fu

. install2-init-functions

fstab="$destdir/etc/fstab"

vz=1
[ -n "$(sed -n 's|^UUID=[^[:space:]]\+[[:space:]]\+/var/lib/vz[[:space:]].*|&|p' <"$fstab")" ] ||
[ -n "$(sed -n 's|^UUID=[^[:space:]]\+[[:space:]]\+/var/lib/vz/private[[:space:]].*|&|p' <"$fstab")" ] ||
vz=

lib=1
[ -n "$(sed -n 's|^UUID=[^[:space:]]\+[[:space:]]\+/var/lib[[:space:]].*|&|p' <"$fstab")" ] ||
	lib=

sed -n 's|^UUID=[^[:space:]]\+[[:space:]]\+\(/[^[:space:]]\+\)[[:space:]]\+ext3[[:space:]]\+\([^[:space:]]\+\).*|\1\t\2|p' <"$fstab" |
while read dir opts; do
	# ovz quota is not compatible with fs quota
	case $dir in
		/var)
			[ -n "$lib$vz" ] || continue
			;;
		/var/lib)
			[ -n "$vz" ] || continue
			;;
		/var/lib/vz|/var/lib/vz/private)
			continue
			;;
	esac

	for t in usrquota grpquota; do
		if [ -n "${opts##*$t*}" ]; then
			opts="$opts,$t"
			sed -i 's|^\(UUID=[^[:space:]]\+[[:space:]]\+'"$dir"'\+[[:space:]]\+ext3[[:space:]]\+\)\([^[:space:]]\+\)\(.*\)|\1\2,'$t'\3|' "$fstab"
		fi
	done
	mount "$destdir$dir" -oremount,"$opts"
	"$destdir"/sbin/quotacheck -m -u "$destdir$dir"
	"$destdir"/sbin/quotacheck -m -g "$destdir$dir"
	"$destdir"/sbin/quotaon "$destdir$dir"
done

exit 0
